%global git 6e520fa
%global uuid pomodoro@arun.codito.in 
%global github codito-gnome-shell-pomodoro

Name:           gnome-shell-extension-pomodoro
Version:        0.7
Release:        1%{?dist}
Summary:        A gnome-shell extension for the pomodoro technique

Group:          User Interface/Desktops
License:        GPLv3+
URL:            https://github.com/codito/gnome-shell-pomodoro
Source0:        https://github.com/codito/gnome-shell-pomodoro/tarball/%{version}/%{github}-%{version}-0.tar.gz

BuildArch:      noarch

BuildRequires:  gnome-common
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  glib2-devel

Requires:       gnome-shell >= 3.6.0
Requires:       hicolor-icon-theme


%description
This extension helps you to work with the pomodoro technique here. It
provides a countdown timer in the gnome-shell and keeps track of completed
25 minute cycles.


%prep
%setup -q -n %{github}-%{git}


%build
./autogen.sh --prefix=%{_prefix}
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
%find_lang gnome-shell-pomodoro
rm -f %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f gnome-shell-pomodoro.lang
%doc README.md COPYING
%{_datadir}/gnome-shell/extensions/%{uuid}/
%{_datadir}/icons/hicolor/scalable/status/timer-symbolic.svg
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.pomodoro.gschema.xml


%changelog
* Thu Jan 17 2013 Mat Booth <fedora@matbooth.co.uk> - 0.7-1
- Update to upstream version 0.7
- Require gnome-shell 3.6

* Mon Nov 19 2012 Mat Booth <fedora@matbooth.co.uk> - 0.6-1
- Update to upstream version 0.6
- Require gnome-shell 3.4

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.gitdf98ce0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 13 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0-0.4.gitdf98ce0
- Updated to new upstream version

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.git13030cd
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 03 2011 Fabian Affolter <fabian@bernewireless.net> - 0-0.2.git13030cd
- License is GPLv3+
- COPYING file added

* Thu Jun 02 2011 Fabian Affolter <fabian@bernewireless.net> - 0-0.1.git286a249
- Initial package for Fedora
